Get grommunio-sync usage information
GET
/system/sync/top
const url = 'https://example.com/api/v1/system/sync/top';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/sync/top \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Get current usage. Should be called at least twice to provide useful information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”filterUpdated
integer
Maximum number of seconds since the last update
filterEnded
integer
Maximum number of seconds since the process ended
Responses
Section titled “Responses”Data returned
Media typeapplication/json
object
maxUpdated
Maximum effective value for filterUpdated
integer
maxEnded
Maximum effective value for filterEnded
integer
data
Array<object>
object
pid
Process ID
integer
ip
IP address of the device
string
user
string
start
UNIX timestamp of process start
integer
devtype
string
devid
string
devagent
string
ended
UNIX timestamp of process end or 0 if still running
integer
push
boolean
addinfo
Additional information about the process
string
update
UNIX timestamp of last update
integer
Examplegenerated
{ "maxUpdated": 1, "maxEnded": 1, "data": [ { "pid": 1, "ip": "example", "user": "example", "start": 1, "devtype": "example", "devid": "example", "devagent": "example", "command": 1, "ended": 1, "push": true, "addinfo": "example", "update": 1, "asversion": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}One of the required external services is unavailable
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}